> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report Request

## Guides

See the guide for using this endpoint:
[Generate a Threat Flow Report <Icon icon="book" size={16} />](/guides/threat-flow-report).


## OpenAPI

````yaml firework-v4-openapi get /firework/v4/threat_flow/reports/requests/{request_info_id}
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/threat_flow/reports/requests/{request_info_id}:
    get:
      tags:
        - public
      summary: Get Report Request
      operationId: get_report_request_threat_flow_reports_requests__request_info_id__get
      parameters:
        - name: request_info_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Request Info Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportRequestInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReportRequestInfoResponse:
      properties:
        status:
          $ref: '#/components/schemas/RequestStatus'
        report:
          anyOf:
            - $ref: '#/components/schemas/ApiReport'
            - type: 'null'
      type: object
      required:
        - status
      title: ReportRequestInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RequestStatus:
      type: string
      enum:
        - processing
        - completed
        - error
      title: RequestStatus
    ApiReport:
      properties:
        id:
          type: integer
          title: Id
        format_type:
          $ref: '#/components/schemas/ThreatFlowReportFormatType'
          default: simple_summary
        title:
          type: string
          title: Title
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
          title: Subtitle
        summary:
          type: string
          title: Summary
        content:
          type: string
          title: Content
        tags:
          items:
            type: string
          type: array
          title: Tags
        highlights:
          items:
            type: string
          type: array
          title: Highlights
        related_activity_uids:
          items:
            type: string
          type: array
          title: Related Activity Uids
        created_at:
          type: string
          format: date-time
          title: Created At
        tenant_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tenant Id
      type: object
      required:
        - id
        - title
        - subtitle
        - summary
        - content
        - tags
        - highlights
        - related_activity_uids
        - created_at
        - tenant_id
      title: ApiReport
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ThreatFlowReportFormatType:
      type: string
      enum:
        - simple_summary
        - expanded_summary
        - finished_intel_standard
      title: ThreatFlowReportFormatType
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````